Subject: Re: bug#65445: 29.1; Android emacs: False memory full condition, due to Java exception (?)

From: Johan Widén <[email-masked]>
Date: Tue, 22 Aug 2023 07:52:46 +0200

I used emacs swiper to search for "out of memory" but found nothing.
This was in the dumpstate*.txt file fetched by
  adb bugreport org.gnu.emacs

Den tis 22 aug. 2023 kl 07:25 skrev Po Lu <[email-masked]>:
>
> Johan Widén <[email-masked]> writes:
>
> > It seems that Android emacs copies to (and from?) the system clipboard
> > very often.
>
> This is in fact controlled by a user variable, like on other systems.
> If you want to disable the clipboard, set select-enable-clipboard to
> nil.
>
> > If nothing else, I believe that removing the current connection of
> > internal copy paste, to system clipboard copy paste, would remove the
> > annoying "out of memory error".
>
> I doubt that's actually an out-of-memory error, so would you please
> follow the steps I previously outlined to obtain the exception's
> backtrace for further analysis?

-- 
Johan Widén, tel: +46705367346
Risvägen 5 A, 192 73 Sollentuna, SWEDEN